<?php

function sass_settings_form()
{
  $form['sass_development_mode'] = array(
    '#type'=>'checkbox',
    '#title'=>t('Development Mode'),
    '#description'=>t('Enable development mode. All CSS files with corresponding SCSS/SASS files will be rebuilt on each request.'),
    '#default_value'=>variable_get('sass_development_mode', true),
  );
  
  $form['sass_show_development_mode_warning'] = array(
    '#type'=>'checkbox',
    '#title'=>t('Show development mode warning'),
    '#description'=>t('Uncheck this to stop showing the warning about being in development mode.'),
    '#default_value'=>variable_get('sass_show_development_mode_warning', true),
  );
  
  //Configuration Settings
  
  $form['configuration_settings'] = array(
  	'#type' => 'fieldset',
  	'#title' => t('Configuration Settings'),
  	'#collapsible' => TRUE,
  	'#collapsed' => TRUE,
  );
  
  $form['configuration_settings']['style_mode'] = array(
  	'#type' => 'select',
  	'#title' => t('CSS Style Output'),
  	'#description' => t("For more info visit the <a href='http://sass-lang.com/docs/yardoc/file.SASS_REFERENCE.html#output_style'>SASS reference page</a>."),
  	'#default_value' => variable_get('style_mode', 'nested'),
  	'#options' => array(
  		'nested' => t('nested'),
  		'expanded' => t('expanded'),
  		'compact' => t('compact'),
  		'compressed' => t('compressed'),
  	),
  );
  
  $form['configuration_settings']['vendor_properties'] = array(
  	'#type' => 'checkbox',
  	'#title' => t('Vendor Properties'),
  	'#description' => t("If enabled a property need only be written in the standard form and vendor specific versions will be added to the style sheet. <br /> Supports: border-radius, box-shadow, box-sizing, & opacity."),
  	'#default_value' => variable_get('vendor_properties', FALSE),
  );
  
  //Development Settings
  
  $form['debugging_settings'] = array(
  	'#type' => 'fieldset',
  	'#title' => t('Debugging Settings'),
  	'#collapsible' => TRUE,
  	'#collapsed' => TRUE,
  );
  
  $form['debugging_settings']['cache_mode'] = array(
  	'#type' => 'checkbox',
  	'#title' => t('Cache'),
  	'#description' => t('Whether parsed Sass files should be cached, allowing greater speed.'),
  	'#default_value' => variable_get('cache_mode', TRUE),
  );
  
  $form['debugging_settings']['debug_method'] = array(
  	'#type' => 'select',
  	'#title' => t('Debug Method'),
  	'#description' => t("Line Numbers: the line number and filename where a selector is defined is emitted into the compiled CSS as a comment. <br /> Debug info: the line number and file where a selector is defined is emitted into the compiled CSS in a format that can be understood by the FireSass Firebug extension"),
  	'#default_value' => variable_get('debug_method', 'none'),
  	'#options' => array(
  		'none' => t('none'),
  		'line_numbers' => t('line numbers'),
  		'debug_info' => t('debug info'),
  	),
  );
  
  $form['debugging_settings']['quiet_mode'] = array(
  	'#type' => 'checkbox',
  	'#title' => t('Quiet'),
  	'#description' => t('When checked, causes warnings to be disabled.'),
  	'#default_value' => variable_get('quiet_mode', FALSE),
  );
  
  $form = system_settings_form($form);
  
  return $form;
}
